Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 455687

Summary: amarok crashes at boot up when a radio station is in its playlist
Product: [Fedora] Fedora Reporter: Philip Ashmore <contact>
Component: amarokAssignee: Aurelien Bompard <gauret>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 8CC: mefoster, rdieter
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 07:51:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Exercpt from the email amarok sent none

Description Philip Ashmore 2008-07-17 02:00:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.15) Gecko/20080702 Fedora/2.0.0.15-1.fc8 Firefox/2.0.0.15

Description of problem:
Amarok tries to send a crash report when it crashes at startup.
This happens when there are radio streams in the playlist (possibly when the playlist consists entirely of radio streams, I'm not sure).

Version-Release number of selected component (if applicable):
amarok-1.4.9.1-3.fc8

How reproducible:
Sometimes


Steps to Reproduce:
1. Empty the playlist and add some radio streams from the predefined lists.
2. Reboot


Actual Results:
Amarok tries to file a bug report (creates an email message)

Expected Results:
It should be sitting in the tray.

Additional info:
KDE 3.5.9-5

Comment 1 Philip Ashmore 2008-07-17 02:31:52 UTC
Created attachment 312008 [details]
Exercpt from the email amarok sent

Comment 2 Philip Ashmore 2008-07-17 02:43:45 UTC
When this happens, amarok tries to send a bug report every time you start it.
One remedy I found is to run it from konsole with an audio file.
    $ amarok /usr/share/sounds/KDE_Beep_Door.wav
This clears the playlist and it starts up OK.

Comment 3 Mary Ellen Foster 2008-07-17 09:04:43 UTC
Hmm ... I wonder if this is actually the root cause of bug 395621, which I'm
still seeing periodically and have mostly been working around. Must check if it
happens only with radio streams in the playlist; that would explain the "only
sometimes" behaviour I experience.

Comment 4 Rex Dieter 2008-07-17 12:03:48 UTC
Please report this to amarok's upstream developers @ bugs.kde.org so that they
can be made aware of the issue.

Comment 5 Bug Zapper 2008-11-26 11:00:37 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Rex Dieter 2008-12-23 15:26:04 UTC
triaged

Comment 7 Bug Zapper 2009-01-09 07:51:17 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.